/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * This scene is designed for 16:9 aspect ratio.                                                                   * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

//-f

#version 3.7;

global_settings {assumed_gamma 2.2}

#include "colors.inc"
#include "BorderChars.inc"

camera {
   orthographic
   location <0, 0, -4>
   scale <3840/2160, 4/3, 1>
   look_at <0, 0, 0>
} //camera

#local TextColor_Outer = texture {pigment {color White} finish {emission 1}}

#local TextColor_Inner = texture {pigment {color Green} finish {emission 1}}

#local TextColor_Back = texture {TextColor_Outer}

#local FontVariationNumber = 1;
#local TextDepth = .08;
#local InvisibleBorderWidth = .015;
#local BorderWidth = .03;
#local BorderHeight = 0;

SetFontStyle (0, FontVariationNumber, TextDepth, InvisibleBorderWidth, BorderWidth, BorderHeight, -999, -999, -999, TextColor_Outer, TextColor_Inner, TextColor_Back)

#declare GAP_Width = .05;   //Distance between characters
#declare SPACE_Width = .26; //Distance between words
#declare LineSpacing = .5;  //Distance between lines

#declare LineAlignment = LEFT; //Choices are LEFT, RIGHT, CENTERED, or JUSTIFIED
#declare MaxMicroJustificationScale = 1; //Set to 1 for no scaling, > 1 for limited scaling, or UNLIMITED
#declare MaxAdditionalGAP_WidthPercentage = UNLIMITED; //Set to 0 to maintain constant gap width, any percentage, or UNLIMITED
#declare SPACE_ExpansionRate = 1.5; //Values > 1 will cause SPACE_Width to increase faster than GAP_Width
#declare JustifyLastLinePercentage = 95; //Minimum percentage of paragraph width to justify last line
#declare MinJustifiedParagraphWidth = 0; //Minimum width of paragraph when justified

#local TextScale = 1;
#local UseActualParagraphHeight = no;

#local NLines = 1;

InitializeVariables (NLines)

//Use   \"   for quote marks.
//Use   ^    for a heart.

#declare LineText [0] = "{0}Hello, world!";

CreateParagraph (NLines, TextScale, UseActualParagraphHeight)

object {Paragraph translate <-ParagraphWidth / 2, ParagraphHeight / 2, 0>}
